Bug 155833 - Firefox does not look for its libraries at the right place
Summary: Firefox does not look for its libraries at the right place
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-24 13:13 UTC by Sylvain Rouillard
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 10:29:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of "strace -e trace=open firefox" (11.44 KB, text/plain)
2005-04-24 13:13 UTC, Sylvain Rouillard
no flags Details

Description Sylvain Rouillard 2005-04-24 13:13:58 UTC
Description of problem:
For nearly every lib it calls, Firefox is looking in several directories before
finding the correct location. This is not a critical bug, as firefox starts and
works correctly. Though it could probably start even faster if it knew where to
look.

Version-Release number of selected component (if applicable): 1.0.3 (I did not
check with earlier versions)


How reproducible:
always


Steps to Reproduce:
1. strace -e trace=open firefox
2. look at the log
  
Actual results:
For nearly every lib it calls, Firefox is looking in several directories before
finding the correct location. See text file attached.

Expected results:
Would be great if it could find the right ones first shot.

Additional info:
I wanted to compile firefox from source to check if this behaviour is by design,
or if that's an RPM issue. Unfortunately, the compilation didn't make it through...

Comment 1 Sylvain Rouillard 2005-04-24 13:13:58 UTC
Created attachment 113596 [details]
log of "strace -e trace=open firefox"

Comment 2 Sylvain Rouillard 2005-05-06 06:38:42 UTC
Still valid after the upgrade to
$ rpm -q firefox
firefox-1.0.3-4


Comment 3 Sylvain Rouillard 2005-11-05 08:58:01 UTC
I checked, out of curiosity, if things had changed since the ancient times where
I reported this.

$ rpm -q firefox
firefox-1.5-0.5.0.rc1

on FC4.

and still the same. When launched, firefox looks for its libs in many places
before hitting /lib64/, where the actual libs reside.

It looks like this report did not get any audience though, so probably it should
get closed.

Comment 4 Christian Iseli 2007-01-22 10:24:56 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 5 Sylvain Rouillard 2007-01-22 10:29:15 UTC
Must be a joke.

Anyways...

Comment 6 Christopher Aillon 2007-01-29 18:09:56 UTC
It's really more of a system issue than just firefox.  You'll see that nearly
every program on the system has the same issue....


Note You need to log in before you can comment on or make changes to this bug.